PDA

View Full Version : fsck and Knoppix partition



billstei
12-13-2002, 04:17 PM
I have a triple boot system, Mandrake9, Win98, and Knoppix20021207. Knoppix has been installed via the knx-hdinstall script to /dev/hdb9. If I am in Mandrake at a console and type "fsck /dev/hdb9" it fails with the following:

fsck 1.27ea (14-Mar-2002)
e2fsck 1.27ea (14-Mar-2002)
fsck.ext2: File system has unsupported feature(s) (/dev/hdb9)
e2fsck: Get a newer version of e2fsck!

Given that 1.27 seems pretty new, can someone explain this so I can get a warm fuzzy feeling about my Knoppix HD install?

billstei
12-13-2002, 04:43 PM
I ran fsck from a console in Knoppix and the version number was 1.30-WIP (30-Sep-2002). When are you going to learn to trust your computer? If your computer were ever to lie to you it would certainly trick you into going outside and lock the door.

Sincerely,
Yourself

super2man
12-29-2002, 11:05 PM
I think alot of the packages on knoppix are the cutting edge unstable versions.. yet it has old things like acro reader 4 instead of 5..

the versions are all over the place, alot are the latest that apt get does not seem to have.

maybe I am wrong..

Although I am eventualy going to load debian from scratch to load a stable release as soon as the net one comes out. and be very aware of the dependencies as i go from now on.

I wounder if fsck is a stable version...